Subject: Re: bug#10916: Using occur to list occurrencies of the symbol at point

From: Juri Linkov <[email-masked]>
Date: Thu, 01 Mar 2012 14:28:07 +0200

> This is with emacs-23.2, but I think it's the same in other emacs
> versions I have used.

`C-u M-x occur' is a new feature in 24.1.  You can read about it in
http://bzr.sv.gnu.org/lh/emacs/trunk/annotate/head:/etc/NEWS#L968

>> Have you tried `M-x occur RET M-n RET'?
>
> Now I have. Seems to give the symbol at point in recent emacs versions.
> Slightly less convenient than a prefix argument, but I think that does
> what I want.

It's less convenient because the default value (displayed in parens)
for `occur' is not the symbol under point, but the last history element
(that is also easy to get via `M-p').  This is for historical reasons.